@echo off

echo.
echo This will create the directory "fm" under the current directory
echo and copy the .ogg files into it, renaming them so they follow
echo the playlist order in WinTTD.
echo.
echo This is meant for using with Owen Rudge's DirectShow based
echo dxmci.dll, for playing any kind of sound file instead of just
echo midi files.
echo You will need a DirectShow filter for playing Ogg Vorbis files
echo as well as Owen Rudge's dxmci.dll file for this to be of any
echo use.
echo.
echo You can press Ctrl+C now to cancel this.
echo.
pause

if exist fm goto already
mkdir fm

:startcopy
echo Now copying files...
copy /Y 00-theme-deluxe.ogg             fm\9_tt00.mp3
copy /Y 11-snarl-up.ogg                 fm\9_tt01.mp3
copy /Y 01-easy-driver.ogg              fm\9_tt02.mp3
copy /Y 02-little-red-diesel.ogg        fm\9_tt03.mp3
copy /Y 06-city-groove.ogg              fm\9_tt04.mp3
copy /Y 10-aliens-ate-my-railway.ogg    fm\9_tt05.mp3
copy /Y 08-stoke-it.ogg                 fm\9_tt06.mp3
copy /Y 04-dont-walk.ogg                fm\9_tt07.mp3
copy /Y 14-sawyers-tune.ogg             fm\9_tt08.mp3
copy /Y 05-fell-apart-on-me.ogg         fm\9_tt09.mp3
copy /Y 13-cant-get-there-from-here.ogg fm\9_tt10.mp3
copy /Y 21-hard-drivin.ogg              fm\9_tt11.mp3
copy /Y 09-road-hog.ogg                 fm\9_tt12.mp3
copy /Y 15-hold-that-train.ogg          fm\9_tt13.mp3
copy /Y 19-broomers-oil-rag.ogg         fm\9_tt14.mp3
copy /Y 17-goss-groove.ogg              fm\9_tt15.mp3
copy /Y 18-small-town.ogg               fm\9_tt16.mp3
copy /Y 03-cruise-control.ogg           fm\9_tt17.mp3
copy /Y 12-stroll-on.ogg                fm\9_tt18.mp3
copy /Y 07-funk-central.ogg             fm\9_tt19.mp3
copy /Y 20-jammit.ogg                   fm\9_tt20.mp3
copy /Y 16-movin-on.ogg                 fm\9_tt21.mp3
goto done

:already
echo.
echo The directory fm already exists. Any files inside it might be
echo overwritten if you continue.
echo Please check that the directory doesn't contain any files you
echo might want to save.
echo You can press Ctrl+C now to cancel this.
echo.
pause
goto startcopy

:done
echo.
echo Done copying the files.
echo.
echo Check that there weren't any errors in the output above.
echo If there were any, send me a PM on TT-Forums. My username is
echo jfs. You can also catch me on the IRC channel #tycoon on
echo QuakeNet IRC.
echo.
pause
